#include <Item/StatelessItem/BasicItem/CheatBattery/CheatBattery.hpp>
#include <World/LocalWorld/LocalWorld.hpp>
#include <Block/Block.hpp>

CheatBattery::CheatBattery(std::string name) : BasicItem(name, "Cheat Battery", Material::cheatBattery)
{
    setMaxStackSize(1);
}

int CheatBattery::pullEnergy(ItemStack &stack, int energy)
{
    return energy;
}

int CheatBattery::pushEnergy(ItemStack &stack, int energy)
{
    return 0;
}